@echo off

java -classpath ./libs/*; AutoScript ^
-config ./config_example.xml ^
-pathAs3 ./output/as3/ ^
-pathJava ./output/java/ ^
-pathNet ./output/net/ ^
-net2one netLib ^
-pathDB ./output/mysql/ ^
-pathJS ./output/js/ ^
-pathLua ./output/lua/

pause

@echo on
exit


::输出配置文件中的对象数据和宏
::-config 后可以指定多个配置文件，如 -config config_a.xml config_b.xml
::-pathAs3 输出 as3 文件路径（如果需要输出 as3 脚本）
::-pathJava 输出 java 文件路径（如果需要输出 java 脚本）
::-pathNet 输出 c# 文件路径（如果需要输出 c# 脚本）
::-net2one 如果指定的话，将会把每一个配置文件（如 config_a.xml）里的所有对象（节点 Object）输出到一个 .cs 文件中 。后接 .cs 文件名（数量与 -config 指定的文件数量一一对应），如 -config ./configA.xml ./configB.xml -net2one a b，将会输出 a.cs 和 b.cs 文件
::-pathDB 输出 mysql 脚本文件路径（如果需要输出 mysql 脚本）
::-pathJS 输出 js 文件路径（如果需要输出 js 脚本）
::-pathLua 输出 lua 文件路径（如果需要输出 lua 脚本）